%define section         free
%define gcj_support     1

Name:           tuxguitar-alsa
Version:        0.9
Release:        %mkrel 1
Epoch:          0
Summary:        TuxGuitar Alsa Plugin
License:        LGPL
Group:          Development/Java
URL:            http://www.tuxguitar.com.ar/
Source0:        http://umn.dl.sourceforge.net/sourceforge/tuxguitar/TuxGuitar-alsa-0.9-src.tar.gz
Requires:       java
Requires:       jpackage-utils >= 0:1.6
Requires:       libswt3-gtk2
Requires:       tuxguitar
BuildRequires:  ant
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  libalsa-devel
BuildRequires:  libswt3-gtk2
BuildRequires:  tuxguitar
%if %{gcj_support}
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
BuildRequires:  java-gcj-compat-devel
%else
BuildRequires:  java-devel >= 0:1.5
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
#Vendor:        JPackage Project
#Distribution:  JPackage

%description
TuxGuitar Alsa Plugin.

%prep
%setup -q -n TuxGuitar-alsa-%{version}-src
%{__perl} -pi -e 's|<javac|<javac source="1.5" nowarn="true"|g' build.xml
pushd src/jni
%{__perl} -pi -e 's|^CXX =.*|CXX = %{__cc} -I%{java_home}/include -fPIC %{optflags}|' Makefile
%{__make} clean
popd
%{__perl} -pi -e 's|^plugin\.path=.*|plugin.path=%{_jnidir}/%{name}-%{version}.jar|g' plugin_tuxguitar-alsa.properties

%build
export CLASSPATH=$(build-classpath swt-gtk-3.2 tuxguitar)
export OPT_JAR_LIST=:
%{ant} all

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_jnidir}
%{__cp} -a TuxGuitar-alsa.jar %{buildroot}%{_jnidir}/%{name}-%{version}.jar
(cd %{buildroot}%{_jnidir} && for jar in *-%{version}*; do %{__ln_s} ${jar} ${jar/-%{version}/}; done)

%{__mkdir_p} %{buildroot}%{_libdir}
%{__cp} -a libMidiReceiverJNI.so %{buildroot}%{_libdir}/libMidiReceiverJNI.so

%{__mkdir_p} %{buildroot}%{_datadir}/tuxguitar/plugins
%{__cp} -a plugin_tuxguitar-alsa.properties %{buildroot}%{_datadir}/tuxguitar/plugins/plugin_tuxguitar-alsa.properties

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
%{__rm} -rf %{buildroot}

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%files
%defattr(0644,root,root,0755)
%doc
%{_jnidir}/%{name}.jar
%{_jnidir}/%{name}-%{version}.jar
%dir %{_datadir}/tuxguitar/plugins
%{_datadir}/tuxguitar/plugins/plugin_tuxguitar-alsa.properties
%attr(0755,root,root) %{_libdir}/libMidiReceiverJNI.so
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.db
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.so
%endif


%changelog
* Sun Jul 08 2007 David Walluck <walluck@mandriva.org> 0.9-1mdv2008.0
+ Revision: 49740
- fix CFLAGS
- BuildRequires: libalsa-devel
- add -I%%{java_home}/include to CFLAGS
- remove java-gcj-compat-devel incorrect version requirement
- enable gcj support
- fix ant call
- Import tuxguitar-alsa



* Thu Apr 05 2007 David Walluck <walluck@mandriva.org> 0:0.9-1mdv2007.1
- release
